Bug 869243 - [abrt] hplip-gui-3.12.10-4.a.fc17: __init__.py:52:_init:RuntimeError: could not open display
[abrt] hplip-gui-3.12.10-4.a.fc17: __init__.py:52:_init:RuntimeError: could n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:44dad3ed2a40d9c18cbe586456d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 07:39 EDT by Andre
Modified: 2012-12-21 06:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:19:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (731 bytes, text/plain)
2012-10-23 07:39 EDT, Andre
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1070758 None None None 2012-10-24 05:51:53 EDT

  None (edit)
Description Andre 2012-10-23 07:39:16 EDT
Version-Release number of selected component:
hplip-gui-3.12.10-4.a.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /bin/hp-check -t
kernel:         3.6.2-4.fc17.i686.PAE

backtrace:
:__init__.py:52:_init:RuntimeError: could not open display
:
:Traceback (most recent call last):
:  File "/bin/hp-check", line 476, in <module>
:    core.init()
:  File "/usr/share/hplip/installer/core_install.py", line 424, in init
:    self.check_dependencies(callback)
:  File "/usr/share/hplip/installer/core_install.py", line 517, in check_dependencies
:    self.have_dependencies[d] = self.dependencies[d][3]()
:  File "/usr/share/hplip/installer/core_install.py", line 1023, in check_pynotify
:    import pynotify
:  File "/usr/lib/python2.7/site-packages/gtk-2.0/pynotify/__init__.py", line 19, in <module>
:    import gtk
:  File "/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
:    _init()
:  File "/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
:    _gtk.init_check()
:RuntimeError: could not open display
:
:Local variables in innermost frame:
:sys: <module 'sys' (built-in)>
:sys_path: ['/usr/share/hplip', '/usr/lib/python27.zip', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/FontTools', '/usr/lib/python2.7/site-packages/PIL', '/usr/lib/python2.7/site-packages/gst-0.10', '/usr/lib/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']
Comment 1 Andre 2012-10-23 07:39:20 EDT
Created attachment 632039 [details]
File: core_backtrace
Comment 2 Fedora Update System 2012-11-27 10:25:52 EST
hplip-3.12.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hplip-3.12.11-1.fc18
Comment 3 Fedora Update System 2012-11-27 10:27:06 EST
hplip-3.12.11-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hplip-3.12.11-1.fc17
Comment 4 Fedora Update System 2012-11-27 21:10:14 EST
Package hplip-3.12.11-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.12.11-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19173/hplip-3.12.11-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-11 19:19:16 EST
hplip-3.12.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-21 06:58:39 EST
hplip-3.12.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.